<template>
  <div class="help">
    <h1>About OPEN-CUTS</h1>
    <p v-show="author">
      This installation of OPEN-CUTS is hosted and maintained by
      <a :href="authorLink" target="_blank" rel="noopener">{{ author }}</a
      >.
    </p>
    <p>
      OPEN-CUTS is an <strong>open c</strong>rowdsourced
      <strong>u</strong>ser-<strong>t</strong>esting <strong>s</strong>uite.
      Primarily targeted at open-source communities, OPEN-CUTS enables users to
      run tests on new versions of the software and aggregates their reports.
      Learn more on
      <a href="https://www.open-cuts.org" target="_blank" rel="noopener"
        >www.open-cuts.org</a
      >.
      <!-- TODO fix these wild claims
      OPEN-CUTS comes with a powerful plugin-system and can integrate with your
      CI/CD pipeline, eg. to release a development build of the software as soon
      as a certain level of confidence is reached. Test-definitions are highly
      flexible and allow for matrix-like variation axes. OPEN-CUTS can even
      integrate with the tested software directly to allow for (semi-)automatic
      reports. Gamification-features make the software engaging and enable
      weighted reporting and self-moderation.
      -->
    </p>
    <!-- TODO uncomment after release
    <p>
      If you're interested, you can also acquaint yourself with the
      <a href="https://www.open-cuts.org/source" target="_blank" rel="noopener"
        >souce code</a
      >
      and
      <a
        href="https://www.open-cuts.org/get-involved"
        target="_blank"
        rel="noopener"
        >get involved to make OPEN-CUTS better</a
      >.
    </p>
    -->

    <h2>Glossary</h2>
    <h3>System</h3>
    <p>
      A system represents a piece of software for which test results are tracked
      by OPEN-CUTS.
    </p>

    <h3>Build</h3>
    <p>
      A build is a specific version of a system that can be tested.
    </p>

    <h3>Channel</h3>
    <p>
      Builds of systems can be organized in channels to make it easier to group
      them distinguish fast-moving development pre-releases from slower stable
      versions.
    </p>

    <h3>Test</h3>
    <p>
      Tests are specific instructions for users what to do with a build of a
      system to check if everything is working.
    </p>

    <h3>Run</h3>
    <p>
      After a user conducted a test on a build of a system, they report a run to
      OPEN-CUTS. A run contains various details about the outcome of the test,
      such as a result (PASS if everything worked; WONKY if something was a
      little off, but the user was able to make it work somehow; FAIL if it
      failed).
    </p>

    <h2>License</h2>
    <p>
      OPEN-CUTS is free software: you can redistribute it and/or modify it under
      the terms of the GNU Affero General Public License as published by the
      Free Software Foundation, either version 3 of the License, or (at your
      option) any later version. OPEN-CUTS is distributed in the hope that it
      will be useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
      <a
        href="https://www.gnu.org/licenses/agpl-3.0.en.html"
        target="_blank"
        rel="noopener"
        >GNU Affero General Public License</a
      >
      for more details.
    </p>
  </div>
</template>

<script>
export default {
  data() {
    return {
      author: process.env.VUE_APP_AUTHOR,
      authorLink: process.env.VUE_APP_AUTHOR_LINK
    };
  }
};
</script>
